Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSERestoreIJ

restore the device row storage `i` and `j` indices obtained with `MatSeqAIJHIPSPARSEGetIJ()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSERestoreIJ(Mat A, PetscBool compressed, const int *i[], const int *j[])

Not Collective

## Input Parameters

- A - the matrix

- compressed - `PETSC_TRUE` or `PETSC_FALSE` indicating the matrix data structure should be always returned in compressed form

- i - the CSR row pointers

- j - the CSR column indices

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetIJ()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages